Bug 166835 - Review Request: perl-SNMP_Session - Pure Perl SNMP v1 and SNMP v2 support
Review Request: perl-SNMP_Session - Pure Perl SNMP v1 and SNMP v2 support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://www.switch.ch/misc/leinen/snmp...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-26 06:56 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 08:33:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-08-26 06:56:43 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-SNMP_Session.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-SNMP_Session-1.07-1.src.rpm

Description:
Pure Perl SNMP v1 and SNMP v2 support for Perl 5.
The SNMP operations currently supported are "get", "get-next", "get-bulk"
and "set", as well as trap generation and reception. 

Other notes:
1) Not available in CPAN mirrors
2) The library is featured in the book "Essential SNMP"
   http://www.oreilly.com/catalog/esnmp/
Comment 1 Paul Howarth 2005-09-13 06:13:02 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is Artistic, matches spec, text included
- spec written in English and is legible
- sources match upstream
- packages builds OK on FC4 and in mock for rawhide (i386)
- no explicit BR's needed
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets
- no .desktop file needed

Nitpick:

- redundant BR: perl

- given that "make test" does nothing, it would be nice if someone with
  SNMP-enabled kit could try out some of the test scripts to make sure that
  things work properly...

I'll approve the package but please lose the BR: perl in cvs.
Comment 2 Jose Pedro Oliveira 2005-09-13 14:05:11 EDT
Paul,

(In reply to comment #1)
> Nitpick:
> 
> - redundant BR: perl

I will remove it.
 
> - given that "make test" does nothing, it would be nice if someone with
>   SNMP-enabled kit could try out some of the test scripts to make sure that
>   things work properly...

Last year I used this module in two perl daemons:
   i) a trap deamon 
      decoded traps using this module
      logged information using Log::Log4perl(Log::Dispatch)
      used a MySQL db via DBI/DBD::mysql
   2) a query daemon
      to handle snmp_set and snmp_get requests of a web application
> 
> I'll approve the package but please lose the BR: perl in cvs.

Can I consider this perl module approved?

PS - One of the example scripts uses Curses. I have it packaged if someone
wants it.
Comment 3 Paul Howarth 2005-09-13 14:22:27 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Nitpick:
> > 
> > - redundant BR: perl
> 
> I will remove it.

Thanks.

> > - given that "make test" does nothing, it would be nice if someone with
> >   SNMP-enabled kit could try out some of the test scripts to make sure that
> >   things work properly...
> 
> Last year I used this module in two perl daemons:
>    i) a trap deamon 
>       decoded traps using this module
>       logged information using Log::Log4perl(Log::Dispatch)
>       used a MySQL db via DBI/DBD::mysql
>    2) a query daemon
>       to handle snmp_set and snmp_get requests of a web application

Thanks again.

> > I'll approve the package but please lose the BR: perl in cvs.
> 
> Can I consider this perl module approved?

Already approved (blocker changed to FE-ACCEPT).

> PS - One of the example scripts uses Curses. I have it packaged if someone
> wants it.

Might be worth mentioning on extras list (not sure how many people read the
bugzilla traffic).
Comment 4 Jose Pedro Oliveira 2005-09-14 08:33:35 EDT
(In reply to comment #3)

> > > I'll approve the package but please lose the BR: perl in cvs.
> > 
> > Can I consider this perl module approved?
> 
> Already approved (blocker changed to FE-ACCEPT).

Missed that (viewing too many bugzilla tickets at the same time).
> 
> > PS - One of the example scripts uses Curses. I have it packaged if someone
> > wants it.
> 
> Might be worth mentioning on extras list (not sure how many people read the
> bugzilla traffic).

I will announced it in the fedora-extras or in the fedora-perl-devel mailing
list but I will postpone it a couple of days (trying to push every RT perl
requirements first).

Note You need to log in before you can comment on or make changes to this bug.